<template>
  <ob-form
    :form-data="{}"
    :is-read-only="true"
  >
    <ob-table
      :data-grid-ref-name="dataGridRefName"
      ref="dataGrid"
      :columns="$options.columns"
      :source="dataSource"
      :hide-grouping-setting="true"
      :hide-sorting-setting="true"
      @selected="onSelectionItem"
    />
  </ob-form>
</template>

<script>
  import paging  from '@/mixins/paging';
  import ObTable from 'common-components/src/obComponents/obTable';
  import ObForm  from 'common-components/src/obComponents/obForm';

  export default {
    name: 'Resources',
    components: {
      ObForm,
      ObTable
    },
    mixins: [
      paging
    ],
    props: {
      selectedCallback: {
        type: Function,
        default(){
          return () => true
        }
      }
    },
    columns: [
      {
        title: 'Название',
        field: 'name',
      },
    ],
    data() {
      return {
        dataGridRefName: 'Resources',
        members: [],
        titles: ['ресурс', 'ресурса', 'ресурсов'],
        api: {
          source: 'resources',
          method: 'getResourceSpecies',
        },
      }
    },
    methods: {
      onSelectionItem(data) {
        this.selectedCallback({
          name: data.name,
          uuid: data.uuid
        });
      }
    }
  }
</script>
